.jimu-widget-cw {
  overflow: hidden;
}

.jimu-widget-cw .jimu-input {
  color: #78818d;
}

.jimu-widget-cw .jimu-widget-subtitle {
  font-size: 14px;
  letter-spacing: 0.39px;
  line-height: 19px
}

.jimu-widget-cw .addNewNotationContainer {
  display: inline-flex;
  padding: 10px 10px;
  cursor: pointer;
}


.jimu-widget-cw .addNewNotationContainer .addNewNotation {
  background: url('../images/add_black.png');
  background-repeat: no-repeat;
  background-color: transparent;
  width: 12px;
  height: 12px;
}

.jimu-widget-cw .addNewNotationContainer .addNewNotation:hover {
  background: url('../images/add_black_hover.png');
  background-repeat: no-repeat;
  background-color: transparent;
  cursor: pointer;
}

.jimu-widget-cw .addNewNotationContainer .addNewNotationLabel {
  color: #7f7f7f;
  font-size: 12px;
  padding: 0 5px;
}

.jimu-widget-cw .addNewNotationContainer .addNewNotationLabel:hover {
  color: #000000;
}

.jimu-widget-cw textarea {
  font-family: 'Avenir Medium';
  font-size: 12px;
  resize: none;
  width: 240px;
  height: 35px;
  background-color: transparent;
  background: #FFFFFF;
  border: 1px solid #999999;
  color: #000000;
  padding: 10px 5px 10px 5px;
  margin: 0;
  letter-spacing: 0px;
  display: block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.jimu-widget-cw textarea:active {
  border: 1px solid #15a4fa;
}

.jimu-widget-cw .inputcontainer {
  margin: 3px;
  width: 100%;
  padding: 6px;
}

.jimu-widget-cw .coordNameContainer {
  margin-bottom: 6px;
}

.jimu-widget-cw .outputcontainer {
  margin: 3px;
  width: 100%;
  padding: 6px;
}

.jimu-widget-cw .coordinateContainer {
  padding-top: 5px;
  width: 100%;
}

.jimu-widget-cw .outputCoordinateContainer {
  margin: 0 3px;
  width: 100%;
  padding: 0 6px;
}

.jimu-widget-cw .coordarea {
  height: 0px;
  overflow: hidden;
}

.jimu-widget-cw .cpbtn {
  display: inline-block;
  background: url('../images/copy_black.png');
  background-repeat: no-repeat;
  background-color: transparent;
  width: 14px;
  height: 16px;
}

.jimu-widget-cw .settingBtn {
  display: inline-block;
  background: url('../images/settings_black.png');
  background-repeat: no-repeat;
  background-color: transparent;
  width: 15px;
  height: 15px;
}

.jimu-widget-cw .settingBtn:hover {
  background: url('../images/settings_black_hover_black.png');
}

.jimu-widget-cw .cpbtn:hover {
  background: url('../images/copy_black_hover.png');
}

.jimu-widget-cw .expandBtn {
  display: inline-block;
  background: url('../images/arrow-right_black.png');
  background-repeat: no-repeat;
  background-color: transparent;
  width: 5px;
  height: 10px;
  vertical-align: text-top;
}

.jimu-widget-cw .expandBtn:hover {
  background: url('../images/arrow-right_black_hover.png');
}

.jimu-widget-cw .collapseBtn {
  display: inline-block;
  background: url('../images/arrow-down.png');
  background-repeat: no-repeat;
  background-color: transparent;
  width: 10px;
  height: 5px;
  vertical-align: text-top;
}

.jimu-widget-cw .collapseBtn:hover {
  background: url('../images/arrow-down_black_hover.png');
  background-repeat: no-repeat;
  background-color: transparent;
}

.jimu-widget-cw .crdfrmtlabel {
  display: inline-block;
  height: 16px;
  font-size: 12px;
  color: #000000;
  /*margin-top:14px;*/
  /*margin-right: 4px;*/
  width: 100px;
  /*text-align: right;*/
  padding-left: 5px;
}

.jimu-widget-cw .coordfrmt {
  width: 50%;
}

.jimu-widget-cw .coordformat {
  display: inline-flex;
  align-items: center;
  /*margin-bottom: 4px;*/
}

.jimu-widget-cw .coordarea.expanded {
  margin-top: 0px;
}

.jimu-widget-cw .coordactions {
  display: inline-block;
  padding-left: 10px;
}

.jimu-widget-cw .add-with-icon {
  display: inline-block;
  height: 40px;
  line-height: 40px;
  color: #000000;
  padding: 0 2px;
}

.jimu-widget-cw .add-with-icon.coordLabel {
  width: 75px;
}

.jimu-widget-cw .add-output {
  margin-bottom: 7px;
  cursor: pointer;
  display: inline-block;
}

.jimu-widget-cw .add-output-coordinate-icon {
  background-image: url(../../../jimu.js/css/images/add_default.png);
  background-repeat: no-repeat;
  background-position: center;
  width: 14px;
  height: 14px;
  display: inline-block;
  vertical-align: middle;
}

.jimu-widget-cw .add-output-coordinate-label {
  font-size: 14px;
  color: #518dca;
  margin-left: 10px;
  /* line-height: 24px; */
  display: inline-block;
  height: 100%;
  text-decoration: underline;
}

.jimu-widget-cw .line-separator {
  height: 2px;
  border-bottom: 1px solid #666666;
  width: 320px;
  margin-top: 3px;
}

.jimu-widget-cw .jimu-coordinate-control .coordLabel {
  font-size: 12px;
}

.jimu-widget-cw .jimu-coordinate-control textarea {
  width: 100%;
}

.jimu-widget-cw .jimu-coordinate-control .add-with-icon.coordInput {
  width: calc(100% - 107px);
}